<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerArrangement extends BController {
	
	# NOTE - We might want to try to set alternatives here
	// in a way it is impossible to not find anything
	// for instance if arrival is not set find first arrival in selected month
	// if departure or type not set find new one etc.
	public function search()
	{
		// track
		$this->app->log->write('Action', 'Perform search on arrangement', '', 'tracking' );
		
		// arrangement should be set
		if ( !($id = $this->app->input->get('aid', 0)) ) {
			return $this->app->redirect('layout=arrangements');
		}
		
		// get data 
		$model 			= $this->getModel();
		$arrangement	= $model->getArrangement();
		
		// arrangement not found
		if ( !$arrangement ) { 
			return $this->app->adapter->redirect('layout=arrangements');
		}
		
		// get new url		
		$query = $model->buildSearchQuery();
		$new   = $arrangement->getLink(true, false, false, $query->toUrl());
		
		// redirect to arrangement page
		return $this->app->adapter->redirect($new);
	}
}