<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerGroup extends BController {
	
	public function filter()
	{
		$layout	 	= $this->app->input->get('page', 'group');
		$group 	 	= (int) $this->app->input->get('groupid', 0);	
		$reset	 	= (int) $this->app->input->get('reset', 0);
		$filtername = 'bookzo.' . $layout . ( $layout == 'group' ? $group : '' ) .'.filters';
		
		if ( $reset ) {
			$this->app->session->clear($filtername);
		}

		$filters 	= $this->app->input->get('filters', array(), 'array');
		$searchword = $this->app->input->get('searchword');
		
		// add them to the stack
		$this->app->session->set($filtername, $filters);
		
		// build correct url
		$url = 'layout='.$layout;
		
		switch ( $layout ) {
			default:
				$url = 'layout='.$layout;
				break;
			case 'group':
				$url = 'layout=group'. ( $group ? '&id='.$group : '' );
				break;
			case 'search':
				$url	= 'layout=search&searchword='.$this->app->input->get('searchword');
				break;
			case 'results':
			case 'arrangement':
				$query 	= $this->app->registry->create($this->app->session->get('bookzo.search.query'))->remove(array('month', 'duration', 'type'));
				$url	= 'layout='.$layout.'&'. $query->clean()->toUrl();
				break;
		}
		
		// track
		$this->app->log->write('Action', 'Filtering results', '', 'tracking' );

		// return						
		return $this->app->adapter->redirect(
					$this->app->route->route($url, false)
				);
	}
}