<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerSearch extends BController {
	
	public function search()
	{
		$badchars 	= array('#', '>', '<', '\\');
		$searchword = trim(str_replace($badchars, '', $this->app->input->getString('searchword', null, 'post')));
		
		$this->app->session->clear('bookzo.search.filters');
		
		// track
		$this->app->log->write('Action', 'Search by word ' . $searchword, '', 'tracking' );
		
			// return						
		return $this->app->adapter->redirect(
					$this->app->route->route('layout=search&searchword='.$searchword, false)
				);
	}
}