<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz data class.
 *
 * This class acts as parent for all data classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BookzoGroup extends BookzoResponseData {
	
	protected $objects;	
		
	protected $prices;
	
	protected $arrivals;
	
	public function getObjects()
	{
		return array();
	}
		
	/**
	 * Get a list of possible arrivals for this group
	 *
	 * @access	public
	 * @since   1.0.0
	 */
	public function getPossibleArrivals()
	{	
		if ( is_null($this->arrivals) ) 
		{
			$group			= $this->id;
			$from   		= $this->app->date->create()->today('Y-m-d');
			$until  		= $this->app->date->create()->nextyear('Y-m-t');
			$this->arrivals = $this->app->api->getArrivals(compact('from','until','group'));
		}
		
		return $this->arrivals;
	}
}