<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperGroup extends BHelper {

	public function group( $accommodations )
	{
		if ( $this->app->config->get('bookzo.bookpergroup', 0) ) {
			
			$return		 = array();
			$foundgroups = array();
			foreach ( $accommodations as $k => $accommodation ) {
				if ( !in_array($accommodation->get('groupid'), $foundgroups) ) {
					$foundgroups[] = $accommodation->get('groupid');
					$return[$k] = $accommodation;
				}
			}
			
			return $return;
		}
		
		return $accommodations;
	}
	
	public function getSibling($id, $search)
	{
		if ( $object = $this->app->api->getObjects($id) ) 
		{
			$search   = (array) $search;
			$siblings = $this->app->api->getObjectsByGroup( $object->get('groupid') );
			$keys 	  = array_keys($siblings);
			
			foreach ( $keys as $a ) {
				foreach ( $search as $b ) {
					if ( $a == $b ) {
						return $a;
					}
				}
			}
		}
		
		return $id;
	}
}