<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$showimage	= $app->config->get('template.book_arrangement_image', 1) && $arrangement->hasImages();
$fulltext 	= $app->config->get('template.book_arrangement_full', 0);
$fullheight = $app->config->get('template.book_arrangement_height', 70);

?>
<div class="th-arrangement-book bz-panel bz-panel-box bz-panel-box-primary <?php echo $active ? 'active' : ''; ?>">
	<div class="bz-grid" data-bz-grid-margin>
		<?php if ( $showimage ) : ?>
		<div class="bz-width-1-1 bz-width-medium-1-4">
			<div class="bz-thumb bz-stretch">
				<a href="<?php echo $arrangement->get('link'); ?>">
					<?php echo $arrangement->image('medium', true); ?>
				</a>
			</div>
		</div>
		<?php endif; ?>
		<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-<?php echo $showimage ? '3-4' : '1-1'; ?>">
			<h2>
				<a href="<?php echo $arrangement->get('link'); ?>">
					<?php echo $arrangement->get('name'); ?>
				</a>
			</h2>
			<?php if ( $fulltext ) : ?>
				<p class="th-description description" <?php echo $fullheight ? 'data-bz-readmore="{height: '.$fullheight.'}"' : ''; ?>>
					<?php echo nl2br($arrangement->get('description')); ?>
				</p>
			<?php else : ?>
				<p class="th-description description">
					<?php echo $arrangement->getShortDescription(); ?>
				</p>
			<?php endif; ?>
			<div class="bz-margin-top bz-clearfix">
				<a class="bz-button bz-button-<?php echo $active ? 'secondary' : 'primary'; ?> bz-button-small bz-float-right" <?php echo $data; ?>>
					<?php echo $active ? 'Verwijder' : 'Voeg toe'; ?>
				</a>
			</div>
		</div>
	</div>
</div>