<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth = $params->get('thumbwidth', '1-1');
$fullthumb	= $thumbwidth == '1-1';
$descwidth 	= $this->app->grid->calculate( $thumbwidth );
$showbutton = $params->get('showbutton', 1);
?>
<div class="th-arrangement-inner th-widget-inner bz-panel bz-panel-box bz-panel-box-primary <?php echo $showbutton ? 'bz-position-relative' : ''; ?> <?php echo $fullthumb ? 'th-full-thumb' : ''; ?>">
	<div>
		<div class="bz-grid">
			<?php if ( $arrangement->hasImages() ) : ?>
				<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
					<?php if ( $params->get('thumbgallery', 0) ) : ?>
						<?php echo $arrangement->widget('gallery', 
											array(
												'layout' => 'slideset',
												'images' => 'medium',
												'thumbnails' => $params->get('thumbgallery_thumbs', 1),
												'lightbox' => $params->get('thumbgallery_lightbox', 0),
												'link' => $params->get('thumbgallery_link', 1),
												'href' => $arrangement->get('link')
											)
									); 
						?>
					<?php else : ?>
						<div class="bz-thumb bz-stretch">
							<a href="<?php echo $arrangement->get('link'); ?>">
								<?php echo $arrangement->image('medium', true); ?>
							</a>
						</div>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<div class="bz-inner bz-width-1-1 bz-width-medium-<?php echo $arrangement->hasImages() ? $descwidth : '1-1'; ?> <?php echo $fullthumb ? 'bz-text-center bz-margin-top' : ''; ?>">
				<h2>
					<a href="<?php echo $arrangement->get('link'); ?>">
						<?php echo $arrangement->get('name'); ?>
					</a>
				</h2>
				<p class="th-description description">
					<?php echo $arrangement->getShortDescription(); ?>
				</p>
				<?php if ( $this->app->config->get('showbutton', 1) ) : ?>
				<div class="bz-position-bottom bz-box">
					<a class="bz-button bz-button-primary" href="<?php echo $arrangement->get('link'); ?>">
						<?php echo BText::_('BTN_BOOK_ARRANGEMENT'); ?>
					</a>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>