<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/* 
 * $activeprice		BRegistry object	active price 
 * $calendar		BCalendar object	the calendar class
 * $departurelist	string				the available departures
 * $personlist		string				the available person options
 * $dateformat		string				the format to render the dates
 * $calcparams		BRegistry object	the params for the widget
 */
$cols			= !$calcparams->get('pricecalculationaside', 0);
$dateformat		= $this->app->config->get('template.book_date_notation', 'DATE_FORMAT_DEFAULT');
?>
<div class="bz-calendar-directbooking bz-panel bz-panel-box bz-panel-box-secondary">
	<?php if ( $calcparams->get('pricecalculation') != 4 ) : ?>
	<div class="bz-grid calendar-calculations" data-calculation>
		<div class="block bz-width-1-1 <?php echo $cols ? 'bz-width-medium-1-2' : ''; ?>">
			<div class="bz-price-info">
				<h4><?php echo BText::_('SUBTITLE_BOOKINGINFO'); ?></h4>
				<?php if ( $nighttype = $this->app->config->get('template.book_show_nights', 0) ) : ?>
				<div class="bz-margin-top">
					<h4 data-field="duration" class="bz-text-right">
						<?php echo $activeprice->get('specialname', $activeprice->get('periodsname')); ?>
					</h4>
				</div>
				<?php endif; ?>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('ARRIVAL'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right" data-field="arrival">
						<?php echo $this->app->date->create($activeprice->get('arrival'))->format($dateformat); ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('DEPARTURE'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right" data-field="departure">
						<?php echo $calcparams->get('departurechange', 0) == 1 	? $departurelist 
																				: $this->app->date->create($activeprice->get('departure'))->format( $dateformat ); ?>
					</div>
				</div>
				<?php if ( $arrangement ) : ?>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('ARRANGEMENT_LABEL'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right" data-field="departure">
						<?php echo $arrangement->get('name'); ?>
					</div>
				</div>
				<?php endif; ?>
				<?php if ( $calcparams->get('showpersons') ) : ?>
					<div class="bz-grid bz-grid-small">
						<div class="bz-width-1-2">
							<?php echo BText::_('PERSONS'); ?>: 			
						</div>
						<div class="bz-width-1-2 bz-text-right">
							<?php echo $calcparams->get('showpersons', 2) ? $personlist : $persons; ?>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
		<div class="block bz-width-1-1 <?php echo $cols ? 'bz-width-medium-1-2' : ''; ?>">
			<?php if ( $calcparams->get('pricecalculation') == 1 || $calcparams->get('pricecalculation') == 2 ) : ?>
			<div class="bz-panel bz-panel-box bz-panel-box-primary th-total-price">
				<div class="bz-margin-bottom th-total-price-price bz-position-relative">
					<?php if ( $calcparams->get('pricecalculation') == 2 ) : ?>
						<?php 
							BHtml::_('behavior.tooltip');
							$minicalculation = $this->render('minicalculation', array('price' => $activeprice, 'params' => $calcparams));
							$minicalculation = $this->app->string->dataAttributePrepare($minicalculation)
						?>
						<span class="bz-icon bz-icon-round" data-bz-tooltip="{pos: 'bottom-right', cls: 'bz-tooltip-calc'}" data-tooltip-text="<?php echo $minicalculation; ?>" data-tooltip-original="<?php echo $minicalculation; ?>">
							<i class="fa fa-info" aria-hidden="true"></i>
						</span>
					<?php endif; ?>
					<span class="prices">
						<?php echo $this->app->price->render($activeprice, 'short', $calcparams); ?>
					</span>
					<span class="msg"><?php echo BText::_('WIDGET_CALENDAR_TXT_PRICE_INCLUSIVE'); ?></span>
				</div>
				<a class="book bz-button bz-button-primary bz-width-1-1" href="<?php echo $this->app->price->booklink($activeprice); ?>" data-field="link">
					<?php echo BText::_('WIDGET_CALENDAR_TXT_BOOK'); ?>
				</a>
			</div>
			<?php else : ?>
			<div class="bz-panel bz-panel-box bz-panel-box-primary th-price-calc">
				<h4><?php echo BText::_('SUBTITLE_BOOK_PRICES'); ?></h4>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-6-10"><?php echo BText::_('RENTAL_LABEL'); ?></div>
					<div class="bz-width-4-10 bz-text-right">
						<?php echo $this->app->price->format($activeprice->get('pricebeforediscount'), $calcparams, 'data-field="price"'); ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small parentfield">
					<div class="bz-width-6-10"><?php echo BText::_('DISCOUNT_LABEL'); ?></div>
					<div class="bz-width-4-10 bz-text-right">
						<?php echo $this->app->price->format($activeprice->get('discount'), $calcparams, 'data-field="discount" data-check'); ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small parentfield">
					<div class="bz-width-6-10"><?php echo BText::_('COSTS_LABEL'); ?></div>
					<div class="bz-width-4-10 bz-text-right">
						<?php echo $this->app->price->format($activeprice->get('extracosts'), $calcparams, 'data-field="costs" data-check'); ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small th-total-row">
					<div class="bz-width-6-10 th-book-total"><?php echo BText::_('TOTAL'); ?></div>
					<div class="bz-width-4-10 bz-text-right th-book-total">
						<?php echo $this->app->price->format($activeprice->get('total'), $calcparams, 'data-field="total"'); ?>
					</div>
				</div>
				<div class="bz-clearfix bz-margin-top">
					<a class="book bz-button bz-button-primary bz-width-1-1 bz-float-right" href="<?php echo $this->app->price->booklink($activeprice); ?>" data-field="link">
						<?php echo BText::_('WIDGET_CALENDAR_TXT_BOOK'); ?>
					</a>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
	<?php if ( $calcparams->get('showpersons') && $calcparams->get('pricecalculation') == 4 ) : ?>
		<div class="bz-grid calendar-calculations" data-calculation>
			<div class="bz-grid bz-grid-small">
				<div class="bz-width-1-2">
					<?php echo BText::_('PERSONS'); ?>: 			
				</div>
				<div class="bz-width-1-2 bz-text-right">
					<?php echo $calcparams->get('showpersons', 2) ? $personlist : $persons; ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( $calcparams->get('departurechange', 0) == 2 || $calcparams->get('pricecalculation') == 4  ) : 
		$class  = $calcparams->get('pricecalculation') != 4 ? 'calendar-alternatives-small' : '';
		$class .= $cols ? ' bz-grid-width-medium-1-2' : ''; 
	?>		
		<div class="block bz-grid bz-grid-width-1-1 calendar-alternatives <?php echo $class; ?>" data-alternatives>
			<?php foreach ( $alternatives as $alternative ) : ?>
				<div class="th-alternative-row">
					<div class="<?php echo $calcparams->get('pricecalculation') == 4 && $alternative == $activeprice ? 'active bz-panel-box-primary' : ''; ?> <?php echo $alternative->get('arrival'). ' '.$alternative->get('departure');?> ">
						<div class="alternative-dates bz-clearfix">
							<div class="bz-float-left">
								<span class="alternative-name" data-field="duration"><?php echo $alternative->get('specialname', $alternative->get('periodname')); ?></span>
							</div>
							<div class="bz-float-right">
								<span class="alternative-start" data-field="arrival">
									<?php echo $this->app->date->create($alternative->get('arrival'))->format( BText::_('WIDGET_CALENDAR_DATE_ALTERNATIVES') ); ?>
								</span>
								/
								<span class="alternative-end" data-field="departure">
									<?php echo $this->app->date->create($alternative->get('departure'))->format( BText::_('WIDGET_CALENDAR_DATE_ALTERNATIVES') ); ?>
								</span>
							</div>
						</div>
						<div class="alternative-book bz-clearfix">
							<span class="bz-float-left alternative-price bz-position-relative">
								<?php echo $this->app->price->render($alternative, 'short', $calcparams); ?>
								<?php if ( $calcparams->get('pricecalculation') >= 2 ) : ?>
									<?php 
										BHtml::_('behavior.tooltip');
										$minicalculation = $this->render('minicalculation', array('price' => $alternative, 'params' => $calcparams));
										$minicalculation = $this->app->string->dataAttributePrepare($minicalculation)
									?>
									<span class="bz-icon bz-icon-round" data-bz-tooltip="{pos: 'bottom-right', cls: 'bz-tooltip-calc'}" data-tooltip-text="<?php echo $minicalculation; ?>" data-tooltip-original="<?php echo $minicalculation; ?>">
										<i class="fa fa-info" aria-hidden="true"></i>
									</span>
								<?php endif; ?>
							</span>
							<span class="bz-float-right alternative-book">
								<a class="bz-button bz-button-primary bz-button-small" href="<?php echo $this->app->price->booklink($alternative, $persons, $pets); ?>" data-field="link"><?php echo BText::_('WIDGET_CALENDAR_TXT_BOOK'); ?></a>
							</span>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
	<?php endif; ?>
	<?php if ( $calcparams->get('showpricelist', 1) && $pricelist ) : ?>
		<div class="calendar-pricelist bz-text-center" data-pricelist>
			<a data-bz-modal="{target: '#modal-pricelist', center: true}">
				<?php echo BText::_('WIDGET_CALENDAR_SHOW_PRICELIST'); ?>
			</a>
			<?php echo $this->app->renderer->partial()->render('modal.modal', array('content' => $pricelist, 'id' => 'modal-pricelist')); ?>
		</div>
	<?php endif; ?>
</div>