<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth 	= $params->get('thumbwidth', '1-1');
$fullthumb		= $thumbwidth == '1-1';
$descwidth 		= $this->app->grid->calculate( $thumbwidth );
$showbutton 	= $params->get('showbutton', 1);

$price			= $object->getFirstPrice();
$price			= $this->app->registry->create($price);
$action 		= $actions[$price->get('actionid')];
$objectlink		= $object->getLink(true, false, array('arrival' => $price->get('arrival'), 'departure' => $price->get('departure') ));
$arrivaltext 	= $this->app->date->create($price->get('arrival'))->format('DATE_FORMAT_SHORT');
$departuretext 	= $this->app->date->create($price->get('departure'))->format('DATE_FORMAT_SHORT');
$actionname		= $params->get('discount_nametype', 'name') == 'name' ? $action->get('name') : $action->get('description', $action->get('name'));
?>
<div class="th-acco-inner th-widget-inner bz-panel bz-panel-box bz-panel-box-primary <?php echo $showbutton ? 'bz-position-relative' : ''; ?> <?php echo $fullthumb ? 'th-full-thumb' : ''; ?>">
	<div>
		<div class="bz-grid">
			<?php if ( $object->hasImages() ) : ?>
				<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
					<div class="bz-thumb bz-stretch">
						<a href="<?php echo $objectlink; ?>">
							<?php echo $object->image('medium', true); ?>
						</a>
					</div>
				</div>
			<?php endif; ?>
			<div class="bz-inner bz-width-1-1 bz-width-medium-<?php echo $object->hasImages() ? $descwidth : '1-1'; ?> <?php echo $fullthumb ? 'bz-text-center bz-margin-top' : ''; ?>">
				<?php if ( $params->get('showdiscount', 1) ) : ?>
					<?php if ( $fullthumb ) : ?>
						<h2 class="bz-h3 bz-margin-bottom">
							<?php echo $actionname; ?> 
						</h2>
					<?php else : ?>
						<div class="th-discount-top bz-text-right">
							<span class="th-discount-label">
								<?php echo $actionname; ?> 
							</span>
						</div>
					<?php endif; ?>
				<?php endif; ?> 
				<div class="th-top bz-clearfix">
					<div class="<?php echo $fullthumb ? '' : 'bz-float-right'; ?>">
						<div class="bz-clearfix">
							<div class="th-discount-dates bz-float-left">
								<?php echo BText::sprintf('DISCOUNT_PERIOD_DATES', $arrivaltext, $departuretext); ?> 
							</div>
							<div class="th-discount-price bz-float-right">
								<?php echo $this->app->price->render($price, 'long', array('pricesicon' => false, 'pricesmsg' => false)); ?>
							</div>
						</div>
					</div>
					<div class="th-titles <?php echo $fullthumb ? 'bz-margin-top' : 'bz-float-left'; ?>">
						<h2 class="bz-h3">
							<a href="<?php echo $objectlink; ?>">
								<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
									<?php echo $object->get('groupname'); ?>
								<?php else : ?>
									<?php echo $object->translate('name'); ?>
								<?php endif; ?>
							</a>
						</h2>
						<?php if ( $params->get('showgroup', 1) && !$this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
							<h5>
								<?php echo $object->get('groupname'); ?>
							</h5>
						<?php endif; ?>
					</div>
				</div>
				<?php if ( $params->get('showdescription', 1) ) : ?>
					<?php $params->set('descriptionshort', 1); ?>
					<p class="th-description description">
						<?php echo $object->getShortDescription(0, $params); ?>
					</p>
				<?php endif; ?>
				<?php if ( $params->get('showbutton', 1) ) : ?>
				<div class="bz-position-bottom bz-box">
					<a class="bz-button bz-button-primary" href="<?php echo $objectlink; ?>">
						<?php echo BText::_('BTN_BOOK_ARRANGEMENT'); ?>
					</a>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>