<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

## NOTE - We have to reconsider this in total
if ( count($dates) ) : 
	$this->app->adapter->addScript('assets:js/slideshow.js');
	$this->app->adapter->addScript('assets:js/slideshow-fx.js');
endif;
?>
<div class="th-pricelist">

	<div class="bz-slidenav-position bz-slidenav-position-show" data-bz-slideshow="{ <?php echo $active ? 'start: '.$active.',' : ''; ?>animation: 'none'}" data-bz-check-display>
		<ul class="bz-slideshow">
			<?php foreach ( $dates as $month => $prices ) :  ?>
			
				<li>
					
					<h4 class="th-pricelist-month"><?php echo $this->app->date->create($month)->format('F Y'); ?></h4>
					
					<?php if ( $params->get('overflow', true) == false ) : ?>
						<div class="bz-overflow-container">
					<?php endif; ?>
					
					<table class="th-pricelist-table bz-table bz-table-hover th-pricelist-list">
						<tr>
							<th><?php echo BText::_('WIDGET_PRICELIST_ARRIVAL'); ?></th>
							<th><?php echo BText::_('WIDGET_PRICELIST_DEPARTURE'); ?></th>
							<th><?php echo BText::_('WIDGET_PRICELIST_DURATION'); ?></th>
							<th><?php echo BText::_('WIDGET_PRICELIST_PRICE'); ?></th>
							<th></th>
						</tr>
						<?php foreach ( $prices as $price ) : ?>
							<tr data-pricelist-stamp="<?php echo $price->get('arrivalstamp') .'-'. $price->get('departurestamp'); ?>">
								<td class="date">
									<?php echo $this->app->date->create($price->get('arrival'))->format('D j M'); ?>
								</td>
								<td class="date">
									<?php echo $this->app->date->create($price->get('departure'))->format('D j M'); ?>
								</td>
								<td>
									<?php echo $price->get('specialname', $price->get('periodname')); ?>
								</td>
								<td>
									<?php echo $this->app->price->render($price, 'short', $params); ?>
								</td>
								<td>
									<a href="<?php echo $this->app->price->booklink($price); ?>" data-field="link">
										<?php echo BText::_('BUTTON_BOOK'); ?>
									</a>
								</td>
							</tr>
						<?php endforeach; ?>
					</table>
					
					<?php if ( $params->get('overflow', true) == false ) : ?>
						</div>
					<?php endif; ?>
				
				</li>
				
			<?php endforeach;  ?>
		</ul>
		<?php if ( count($dates) > 1 ) : ?>
		<a class="bz-slidenav bz-slidenav-previous" href="" data-bz-slideshow-item="previous"><?php echo BText::_('PREVIOUS_MONTH'); ?></a>
		<a class="bz-slidenav bz-slidenav-next" href="" data-bz-slideshow-item="next"><?php echo BText::_('NEXT_MONTH'); ?></a>
		<div class="bz-hidden">
			<?php $i = 0; foreach ( $dates as $month => $prices ) :  ?>
				<a data-bz-slideshow-item="<?php echo $i; ?>" data-pricelist-month="<?php echo $month; ?>"></a>
			<?php $i++; endforeach; ?>
		</div>
		<?php endif; ?>
	</div>
</div>