<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewArrangement extends BView {
	
	public function display()
	{
		$state			= $this->get('State');
		$objects 		= $this->get('List');
		$arrangement 	= $this->get('Arrangement');
		$total	 		= $this->get('Total');
		$pagination 	= $this->get('Pagination');
		
		$arrival	= $state->get('arrival');
		$departure  = $state->get('departure');

		// get the available widgets
		$filters 	= $this->app->widget->get('filters');
		$search		= $this->app->widget->get('search');
		
		// set search defaults
		$search->setParam('inline', 	 1);
		$search->setParam('aid', 		$arrangement->get('id'));
		$search->setParam('direction', 	'vertical');
		
		// set template stuff page type
		$pagetype	= 'arrangements';

		echo $this->renderer->render('arrangement', compact('arrangement', 'objects', 'total', 'filters', 'pagination', 'arrival', 'departure', 'pagetype', 'search'));
	}
}