<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewSearch extends BView {
	
	public function display()
	{
		## NOTE - This shouldn't be here
		$this->app->session->clear('bookzo.search.query');
		$this->app->session->clear('bookzo.search.results');	
		
		// we need the objects rendered
		$state 		= $this->get('State');
		$objects 	= $this->get('List');
		$total	 	= $this->get('Total');
		$pagination = $this->get('Pagination');

		// get the filter widget
		$filters = $this->app->widget->get('filters');
		$searchword = $state->get('searchword');
		
		// set page type
		$pagetype	= 'search';
		
		// add title 
		$this->app->adapter->setMetaData('title', BText::_('PAGETITLE_SEARCH') );

		echo $this->renderer->render('search', compact('objects', 'total', 'filters', 'pagination', 'pagetype', 'searchword'));
	}
}