<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetArrangements extends BWidget {

	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render()
	{
		// get settings
		$renderer		= $this->renderer;
		$params 		= $this->params;
		$ids			= $this->params->get('ids', null);
		
		// get arrangements
		$arrangements = $this->app->api->getArrangements($ids);
		
		if ( !($count = count($arrangements)) ) {
			return;
		}
		
		// do we need to slice
		$max	= $this->params->get('max', 0);
		if ( $max && $max < $count ) {
			$arrangements = array_slice($arrangements, 0, $max);
		}
		
		// render general template
		return  $this->renderer->render('default', compact('arrangements', 'params', 'renderer'));	
	}
}