<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetFilters extends BWidget 
{
	public function render()
	{		
		$objects 	  = $this->params->get('objects');
		$render		  = array();
		
		## NOTE - Do we need to set it again. model should have done it allready
		//$filters->bindObjects($this->app->session->get('bookzo.list', array()));
		
		## NOTE - Look for correct param
		$filtergroups = $this->app->bookzo->filters->getPossibleFilters( $this->app->config->get('general.showemptyfilters', 0) );
		
		// remove empty groups		
		if ( !count($filtergroups) ) {
			return '';
		}
		
		// define the url
		$layout		= $this->app->input->get('layout', 'group');
		$url		= $this->app->adapter->route('layout=group');
		$task		= 'group.filter';
		$groupid	= 0;

		if ( $layout == 'group' ) {
			$groupid = (int) $this->app->input->get('id');
		}
		
		// do we show search
		$search		= false;
		$showsearch = $this->app->config->get('template.filters_show_search', 0);
		if ( $layout != 'search' && ($showsearch == 2 || ( $showsearch == 1 && $layout == 'group' && !$groupid)) ) {
			$search = $this->app->widget->searchname
										->setParam('inline', 1)
										->setParam('name', 'filters[search]')
										->setValue( $this->app->bookzo->filters->getSearch() )
										->render();
		}
				
		return $this->renderer->render('default', compact('filtergroups', 'url', 'task', 'layout', 'search', 'groupid'));
	}
}