<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetSearchname extends BWidget 
{
	public $value;
	public $name;
	
	public function render()
	{			
		$url			= $this->app->adapter->route('layout=search');
		$inline			= $this->params->get('inline', 0);
		$name			= $this->params->get('name', 'searchword');
		$value			= $this->getValue();	
				
		return $this->renderer->render('default', compact('url', 'name', 'inline', 'value'));
	}
	
	public function getValue()
	{
		if ( is_null($this->value) ) {
			$this->value = $this->app->input->get( $this->params->get('name', 'searchword') );
		}
		
		return $this->value;
	}
	
	public function setValue($value)
	{
		$this->value = $value;
		
		return $this;
	}
}